Status: New Priority: Low

Author: Dmitry Fomenko Category: Calculate Directory Server

Created: 09/28/2010 Assignee:

Updated: 06/27/2011 Due date:

Subject: Enhanced samba logon script

Description: For add own parameters/operations/command in script.cmd, which are logon script for windows hosts 

(parameter "logon script =" in /etc/samba/smb.conf). Adds all lines from /etc/calculate/start.cmd.add with 

properly EOL (CR LF) netlogon/$USER/start.cmd when user generated by cl-useradd. Linux-style comments 

(line started with "#") will be ignored. File /etc/calculate/start.cmd.add must ended by empty line.

History

09/30/2010 01:21 pm - Dmitry Fomenko

1) May be better not ignore linux-style comments, but convert to win-style comment (line started "rem")?


2) May be not generate default start.cmd from python script, entirely transfer default start.cmd to .conf and always generate start.cmd from the .conf 

file?


What are you think about it?

10/26/2010 10:08 am - Alexander Tratsevskiy

- Target version set to 11.0

01/14/2011 12:23 pm - Alexander Tratsevskiy

- Assignee set to Alexey Samoukin

01/22/2011 10:45 am - Alexander Tratsevskiy

- Target version deleted (11.0)

06/27/2011 04:19 pm - Dmitry Fomenko

- File start.cmd-r1.diff added

- Assignee deleted (Alexey Samoukin)

Also space-string (tab, space, \n ) and win-style comment ('[Rr][Ee][Mm]') will be ignored

Files

start.cmd.diff 1.1 KB 09/28/2010 Dmitry Fomenko

start.cmd-r1.diff 565 Bytes 06/27/2011 Dmitry Fomenko

03/13/2024 1/1


